#ifndef DS1307_H
#define	DS1307_H
//------------------------------------------------------------------------------
#include <string.h>
#include "soft_i2c.h"
#include "Time_functions.h"
#include "DS1307_Protoypes.h"
//------------------------------------------------------------------------------
void RTC_init(void)
{
  softI2C_init();   
}
//----------------secs,mins,hrs,wDay,mDay,months,years-------------------------
void RTC_getDateTime(unsigned char time[])
{
  for(int addr=0; addr < 7 ; ++addr)
  {
    I2C_start();
         
    I2C_write(WRITE_CMD);                    
    I2C_write(addr);
    I2C_restart();
    I2C_write(READ_CMD);                     
    time[addr] = get_DecTime(I2C_read(NACK));

    I2C_stop();
  }
}
//------------------------------------------------------------------------------
void RTC_setDateTime(unsigned char regAddr, unsigned char data)
{
  I2C_start();
  
  I2C_write(WRITE_CMD);
  I2C_write(regAddr);
  I2C_write(data);

  I2C_stop();
}
//------------------------------------------------------------------------------
void RTC_displayTime(char row,char col,unsigned char time[])
{
  clearString(strOut);
  
  sprintf(strOut,"Time:%s",get_fullTimeStr(time));
  LCD_string(row,col,strOut);
}
//------------------------------------------------------------------------------
void RTC_displayDate(char row,char col,unsigned char time[])
{
  clearString(strOut);
  
  sprintf(strOut,"Date:%s",get_fullDateStr(time));
  LCD_string(row,col,strOut);
}
//------------------------------------------------------------------------------
void clearString(char str[])
{
  memset(str,0,strlen(str));
}
//------------------------------------------------------------------------------
#endif